local L = LibStub("AceLocale-3.0"):NewLocale("TotemTimers_GUI", "enUS", true, true)

L["Air"] = true
L["Automatic"] = true
L["Bottom"] = true
L["Cast Button 1"] = true
L["Cast Button 2"] = true
L["Down"] = true
L["Earth"] = true
L["Enable"] = true
L["Fire"] = true
L["Left"] = true
L["none"] = true
L["Right"] = true
L["Top"] = true
L["Totems"] = true
L["TotemTimers"] = true
L["Up"] = true
L["Version"] = true
L["vertical"] = true
L["Water"] = true

L["Blizz Style"] = true
L["Color Timer Bars"] = true
L["Color Timer Bars according to their elements."] = true
L["Debug"] = true
L["Displays timer bars underneath times"] = true
L["General"] = true
L["Hide Blizzard Timers"] = true
L["Hide Default Totem Bar"] = true
L["Hide Default Totem Bar Desc"] = "If you uncheck this you should reload your interface."
L["Hide In Vehicles"] = true
L["Hide In Vehicles Desc"] = "Hides TotemTimers while driving a vehicle. Do not change this setting while driving"
L["Lock"] = true
L["Locks the position of TotemTimers"] = true
L["RaidTotems"] = true
L["RaidTotems Desc"] = "Sets the multicast spell to which totems send by the RaidTotems addon are assigned."
L["Red Flash Color"] = true
L["RedFlash Desc"] = "If enabled expiring timers flash red, else they will fade in and out."
L["Reset All"] = true
L["Reset Positions"] = true
L["Show Key Bindings"] = true
L["Shows key bindings on totem timers"] = true
L["Shows tooltips on timer and totem buttons"] = true
L["Show Timer Bars"] = true
L["Show Tooltips"] = true
L["Stop Pulse"] = true
L["Stop Pulse Desc"] = " \"If a timer stops its icon gives a big visible pulse\""
L["Time Color"] = true
L["Time Font"] = true
L["Timer Bar Color"] = true
L["Timer Bar Texture"] = true
L["Timers On Buttons"] = true
L["Tooltips At Buttons"] = true
L["Tooltips At Buttons Desc"] = "Shows Tooltips to the right of TT's buttons."

L["Advanced Options"] = true
L["Always Visible Desc"] = "Totem menus are always visible and can be dragged around like action bars."
L["Arrangement"] = true
L["Basic layout of the four timer buttons, loose lets you move them individually"] = true
L["box"] = true
L["Button Size"] = true
L["Cast Button Position"] = true
L["Cast Button Position Desc"] = "Sets the position of the additional customizable totem buttons next to the totem timers"
L["Cast Button Size"] = true
L["Cast Button Size Desc"] = "Sets the size of the addition customizable totem buttons relative to the size of the totem timers"
L["Enable Pulse Bar"] = true
L["Enables the four totem timer buttons and menus"] = true
L["horizontal"] = true
L["Keybindings desc"] = "If enabled, totem buttons will have mapped the keys 1-9 to them if totem menus are shown|nYou have to relog for this setting to take effect."
L["loose"] = true
L["Mini Icons Desc"] = "Shows the small icons in the lower right of the timer buttons which indicate the totem assigned to the active multicast spell and the timer  button will cast."
L["Open On Rightclick"] = true
L["Player Range"] = true
L["Player Range Desc"] = "Shows a red dot on a totem timer if player is out of range"
L["Pulse desc"] = "Shows a green status bar inside the timers that fills until a totem pulses."
L["Raid Member Range"] = true
L["Raid Range Tooltip"] = true
L["Range Desc"] = "Shows how many raid members do not get the buff of your totem in the lower left corner"
L["Reverse Key Bindings"] = true
L["Reverse Key Desc"] = "Bind keys in order 9-1 instead of 1-9|nYou have to relog for this setting to take effect."
L["Rightclick Desc"] = "Open the totem menus on a rightclick instead of hovering over the timer button. Totems can then be dismissed with the middle mouse button instead of a rightclick."
L["RR Tooltip Desc"] = "Shows a list of raid members not in range of your totem on mouseover"
L["Scales the timer buttons"] = true
L["Scaling"] = true
L["Sets the font size of time strings"] = true
L["Sets the format in which times are displayed"] = true
L["Sets the space between timer buttons"] = true
L["Sets the space between timer buttons and timer bars"] = true
L["Sets the width of timer bars."] = true
L["Show Mini Icons"] = true
L["Show Totem Cooldowns"] = true
L["Spacing"] = true
L["Timer Bar Position"] = true
L["Timer Bar Position Desc"] = "Sets at which side of the timer icons the times are displayed"
L["Timer Bar Width"] = true
L["Timer Bar Width Desc"] = "Sets the width of the timer bars."
L["Timer Button 1"] = true
L["Timer Button 2"] = true
L["Timer Button 3"] = true
L["Timer Button 4"] = true
L["Timers"] = true
L["Timers On Buttons Desc"] = "Timers are displayed on the buttons instead of next to them. If enabled, the weapon tracker will only show the time for the main hand weapon when dual wielding."
L["Time Size"] = true
L["Time Spacing"] = true
L["Time Style"] = true
L["Totem Cooldowns desc"] = "Shows cooldowns of all totems with longer cooldowns as additional timer bars."
L["Totem menu direction"] = true
L["Totem menu direction desc"] = "Sets the direction in which the totem menus open. Automatic determines the direction based on the timer's position."
L["Totem Menu Key Bindings"] = true
L["Totem Menus Always Visible"] = true
L["Totem Menu Spacing"] = true
L["Totem Menu Spacing Desc"] = "Sets the spacing of buttons in the totem menus. Only applies if menus are always visible."

L["Ankh Tracker"] = true
L["Ankh Tracker Desc"] = "Shows the remaining cooldown of your reincarnation ability as well as the number of ankhs in your bags. Also is used to save and load totem sets."
L["Button 4"] = true
L["EarthShieldDesc"] = "Shows the remaining Earth Shield time and charges. Can be used to cast Earth Shield."
L["EarthShieldOptionsDesc"] = "If 'recast' is selected as option for a mouse button, the shield is cast on the last person it was cast out of combat or the person assigned by the RaidTotems addon. Default Usage: Target you ES target and cast the spell on it by rightclicking the button out of combat. Then you can target somebody else, but the ES will still be cast on the same person by leftclicking, even in combat."
L["Earth Shield Tracker"] = true
L["esrecast"] = "recast (last target/RaidTotems)"
L["Leftclick"] = true
L["Middle Button"] = true
L["Rightclick"] = true
L["Shield Tracker"] = true
L["Trackers"] = true
L["Weapon Buff Tracker"] = true
L["WeaponDesc"] = "Shows the remaining time of your weapon buffs. Leftclick cast the selected weapon buff, rightclick opens a menu to select a buff. I an icon shows two buffs, the first leftclick cast the left buff and a second leftclick the right buff."

L["Color"] = true
L["disabled warnings desc"] = "Even if a tracker is disabled, its warnings of expired buffs will still be shown"
L["EarthShield warnings"] = true
L["Maelstrom notification"] = true
L["Messages"] = true
L["Shield expiration warnings"] = true
L["Show warnings of disabled trackers"] = true
L["Sound"] = true
L["Totem Desctruction Desc"] = "Warning if a totem is destroyed before it is expired."
L["Totem Destruction Message"] = true
L["Totem Expiration Desc"] = "Warning after a totem expires."
L["Totem Expiration Message"] = true
L["Totem Expiration Warning"] = true
L["Totem Warning Desc"] = "Warns 10 secs before a totem expires."
L["Warnings"] = true
L["Weapon buff warnings"] = true

L["Menu Direction"] = true
L["Menu Key Bindings"] = true
L["Multicast Button"] = true
L["MultiCast Keybinds Desc"] = "Assigns the buttons in the multicast menu key bindings from 1-3.|nYou have to relog for this setting to take effect."
L["MultiCast Reverse Keybinds Desc"] = "Assigns key bindings from 9-6 instead of 1-3.|nYou have to relog for this setting to take effect."
L["Same as totem menus"] = true
L["Same as weapon buff menu"] = true

L["Duration"] = true
L["ECD Button Size"] = true
L["ECD Font Size"] = true
L["EnhanceCDs"] = true
L["Hide OOC Desc"] = "Changing this setting will have effect after the next combat"
L["Hide out of combat"] = true
L["Maelstrom Bar Height"] = true
L["OOC Alpha"] = true
L["OOC Alpha Desc"] = "Controls the opacity of the buttons out of combat, 0 = transparent, 1 = opaque"
L["Show OmniCC counters"] = true


--[===[@debug@
L["Air"] = true
L["Automatic"] = true
L["Bottom"] = true
L["Cast Button 1"] = true
L["Cast Button 2"] = true
L["Down"] = true
L["Earth"] = true
L["Enable"] = true
L["Fire"] = true
L["Left"] = true
L["none"] = true
L["Right"] = true
L["Top"] = true
L["Totems"] = true
L["TotemTimers"] = true
L["Up"] = true
L["Version"] = true
L["vertical"] = true
L["Water"] = true

L["Blizz Style"] = true
L["Color Timer Bars"] = true
L["Color Timer Bars according to their elements."] = true
L["Debug"] = true
L["Displays timer bars underneath times"] = true
L["General"] = true
L["Hide Blizzard Timers"] = true
L["Hide Default Totem Bar"] = true
L["Hide Default Totem Bar Desc"] = "If you uncheck this you should reload your interface."
L["Hide In Vehicles"] = true
L["Hide In Vehicles Desc"] = "Hides TotemTimers while driving a vehicle. Do not change this setting while driving"
L["Lock"] = true
L["Locks the position of TotemTimers"] = true
L["RaidTotems"] = true
L["RaidTotems Desc"] = "Sets the multicast spell to which totems send by the RaidTotems addon are assigned."
L["Red Flash Color"] = true
L["RedFlash Desc"] = "If enabled expiring timers flash red, else they will fade in and out."
L["Reset All"] = true
L["Reset Positions"] = true
L["Show Key Bindings"] = true
L["Shows key bindings on totem timers"] = true
L["Shows tooltips on timer and totem buttons"] = true
L["Show Timer Bars"] = true
L["Show Tooltips"] = true
L["Time Color"] = true
L["Time Font"] = true
L["Timer Bar Color"] = true
L["Timer Bar Texture"] = true
L["Timers On Buttons"] = true
L["Tooltips At Buttons"] = true
L["Tooltips At Buttons Desc"] = "Shows Tooltips to the right of TT's buttons."

L["Advanced Options"] = true
L["Always Visible Desc"] = "Totem menus are always visible and can be dragged around like action bars."
L["Arrangement"] = true
L["Basic layout of the four timer buttons, loose lets you move them individually"] = true
L["box"] = true
L["Button Size"] = true
L["Cast Button Position"] = true
L["Cast Button Position Desc"] = "Sets the position of the additional customizable totem buttons next to the totem timers"
L["Cast Button Size"] = true
L["Cast Button Size Desc"] = "Sets the size of the addition customizable totem buttons relative to the size of the totem timers"
L["Enable Pulse Bar"] = true
L["Enables the four totem timer buttons and menus"] = true
L["horizontal"] = true
L["Keybindings desc"] = "If enabled, totem buttons will have mapped the keys 1-9 to them if totem menus are shown|nYou have to relog for this setting to take effect."
L["loose"] = true
L["Mini Icons Desc"] = "Shows the small icons in the lower right of the timer buttons which indicate the totem assigned to the active multicast spell and the timer  button will cast."
L["Open On Rightclick"] = true
L["Player Range"] = true
L["Player Range Desc"] = "Shows a red dot on a totem timer if player is out of range"
L["Pulse desc"] = "Shows a green status bar inside the timers that fills until a totem pulses."
L["Raid Member Range"] = true
L["Raid Range Tooltip"] = true
L["Range Desc"] = "Shows how many raid members do not get the buff of your totem in the lower left corner"
L["Reverse Key Bindings"] = true
L["Reverse Key Desc"] = "Bind keys in order 9-1 instead of 1-9|nYou have to relog for this setting to take effect."
L["Rightclick Desc"] = "Open the totem menus on a rightclick instead of hovering over the timer button. Totems can then be dismissed with the middle mouse button instead of a rightclick."
L["RR Tooltip Desc"] = "Shows a list of raid members not in range of your totem on mouseover"
L["Scales the timer buttons"] = true
L["Scaling"] = true
L["Sets the font size of time strings"] = true
L["Sets the format in which times are displayed"] = true
L["Sets the space between timer buttons"] = true
L["Sets the space between timer buttons and timer bars"] = true
L["Sets the width of timer bars."] = true
L["Show Mini Icons"] = true
L["Show Totem Cooldowns"] = true
L["Spacing"] = true
L["Timer Bar Position"] = true
L["Timer Bar Position Desc"] = "Sets at which side of the timer icons the times are displayed"
L["Timer Bar Width"] = true
L["Timer Bar Width Desc"] = "Sets the width of the timer bars."
L["Timer Button 1"] = true
L["Timer Button 2"] = true
L["Timer Button 3"] = true
L["Timer Button 4"] = true
L["Timers"] = true
L["Timers On Buttons Desc"] = "Timers are displayed on the buttons instead of next to them. If enabled, the weapon tracker will only show the time for the main hand weapon when dual wielding."
L["Time Size"] = true
L["Time Spacing"] = true
L["Time Style"] = true
L["Totem Cooldowns desc"] = "Shows cooldowns of all totems with longer cooldowns as additional timer bars."
L["Totem menu direction"] = true
L["Totem menu direction desc"] = "Sets the direction in which the totem menus open. Automatic determines the direction based on the timer's position."
L["Totem Menu Key Bindings"] = true
L["Totem Menus Always Visible"] = true
L["Totem Menu Spacing"] = true
L["Totem Menu Spacing Desc"] = "Sets the spacing of buttons in the totem menus. Only applies if menus are always visible."

L["Ankh Tracker"] = true
L["Ankh Tracker Desc"] = "Shows the remaining cooldown of your reincarnation ability as well as the number of ankhs in your bags. Also is used to save and load totem sets."
L["Button 4"] = true
L["EarthShieldDesc"] = "Shows the remaining Earth Shield time and charges. Can be used to cast Earth Shield."
L["EarthShieldOptionsDesc"] = "If 'recast' is selected as option for a mouse button, the shield is cast on the last person it was cast out of combat or the person assigned by the RaidTotems addon. Default Usage: Target you ES target and cast the spell on it by rightclicking the button out of combat. Then you can target somebody else, but the ES will still be cast on the same person by leftclicking, even in combat."
L["Earth Shield Tracker"] = true
L["esrecast"] = "recast (last target/RaidTotems)"
L["Leftclick"] = true
L["Middle Button"] = true
L["Rightclick"] = true
L["Shield Tracker"] = true
L["Trackers"] = true
L["Weapon Buff Tracker"] = true
L["WeaponDesc"] = "Shows the remaining time of your weapon buffs. Leftclick cast the selected weapon buff, rightclick opens a menu to select a buff. I an icon shows two buffs, the first leftclick cast the left buff and a second leftclick the right buff."

L["disabled warnings desc"] = "Even if a tracker is disabled, its warnings of expired buffs will still be shown"
L["EarthShield warnings"] = true
L["Maelstrom notification"] = true
L["Warnings"] = true
L["Shield expiration warnings"] = true
L["Show warnings of disabled trackers"] = true
L["Totem Desctruction Desc"] = "Warning if a totem is destroyed before it is expired."
L["Totem Destruction Message"] = true
L["Totem Expiration Desc"] = "Warning after a totem expires."
L["Totem Expiration Message"] = true
L["Totem Expiration Warning"] = true
L["Totem Warning Desc"] = "Warns 10 secs before a totem expires."
L["Weapon buff warnings"] = true

L["Menu Direction"] = true
L["Menu Key Bindings"] = true
L["Multicast Button"] = true
L["MultiCast Keybinds Desc"] = "Assigns the buttons in the multicast menu key bindings from 1-3.|nYou have to relog for this setting to take effect."
L["MultiCast Reverse Keybinds Desc"] = "Assigns key bindings from 9-6 instead of 1-3.|nYou have to relog for this setting to take effect."
L["Same as totem menus"] = true
L["Same as weapon buff menu"] = true

L["Color"] = true
L["Sound"] = true
L["No Sound"] = true
L["Stop Pulse"] = true
L["Stop Pulse Desc"] = "If a timer stops its icon gives a big visible pulse"

--ECDS
L["ECD Button Size"] = true
L["ECD Font Size"] = true
L["EnhanceCDs"] = true
L["Hide OOC Desc"] = "Changing this setting will have effect after the next combat"
L["Hide out of combat"] = true
L["Maelstrom Bar Height"] = true
L["OOC Alpha"] = true
L["OOC Alpha Desc"] = "Controls the opacity of the buttons out of combat, 0 = transparent, 1 = opaque"
L["Show OmniCC counters"] = true
L["Duration"] = true
--@end-debug@]===]


TT_GUI_ROLE_NAMES = {
    [0]="uninspected",
    [1]="melee",
    [2]="ranged",
    [3]="caster",
    [4]="healer",
    [5]="enhancer"
}

